#ifndef __CWIPI_CONFIG_H__
#define __CWIPI_CONFIG_H__

/* cwipi_config.h. Generated by configure */

/*
  This file is part of the CWIPI library.

  Copyright (C) 2011-2017  ONERA

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 3 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library. If not, see <http://www.gnu.org/licenses/>.
*/

/* Complete version number */
#define CWIPI_VERSION "0.9.8"

/* Major version number */
#define CWIPI_MAJOR_VERSION 0

/* Minor version number */
#define CWIPI_MINOR_VERSION 9

/* Release version number */
#define CWIPI_RELEASE_VERSION 8

/* cwipi library configured with MPI support ? */
#define HAVE_MPI 1

/* cwipi library configured with MPI IO support ? */
#define HAVE_MPI_IO 1

/* cwipi library configured with MPI One-sided support ? */
#define HAVE_MPI_ONE_SIDED 1

#endif /* __CWIPI_CONFIG_H__ */
